<template>
 <div class="col-xs-12 col-sm-12 col-md-9 homebanner-holder"> 
      
        
        <section class="section latest-blog outer-bottom-vs wow fadeInUp">
          <h3 class="section-title">History Bids</h3>
          <br>
        <div id="container_list_lelang">  
       
          <div class="table-responsive">
         
            <table class="table table-striped">
                <thead>
                    <tr>
                    <td><strong>Item</strong></td>
                    <td><strong>Bid</strong></td>
                 
                    <td><strong>Tanggal</strong></td>
                    </tr>

                    <tr v-for="item in list">
                        <td>{{item.nmitem}}</td>
                        <td>Rp. {{item.harga}}</td>
                        <td>{{item.created_at}}</td>
                    </tr>
                    <infinite-loading @distance="1" @infinite="infiniteHandler"></infinite-loading>
                </thead>
               
                </table>
             </div>
           </div>
        </section>
        
      </div>

</template>

<script>
    export default {
        mounted() {
            console.log('Component mounted.')
        },
         data() {
            return {
              list: [],
              page: 1,
            };
          },
          methods: {
            infiniteHandler($state) {
                var _this = this;
                axios.get('/customer/get-history-bid?page='+this.page)
                .then((data) => {
                        $.each(data.data, function(key, value) {
                                _this.list.push(value);
                        });
                        $state.loaded();
                    });
                     $state.complete();   
                this.page = this.page + 1;
            },
            
          },
    } 
    
</script>
